Download it now!
Bug 128198 - FILEOPEN: DOCX: Incorrect text wrapping of fly frame
Summary: FILEOPEN: DOCX: Incorrect text wrapping of fly frame
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.1 target:6.4.7
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Frames docx-aggressive-competitors
  Show dependency treegraph
 
Reported: 2019-10-17 10:22 UTC by Xisco Faulí
Modified: 2020-08-11 15:39 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (16.65 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-10-17 10:22 UTC, Xisco Faulí
Details
comparison MSO 2010 and LibreOffice 6.4 Master (47.79 KB, image/png)
2019-10-17 10:23 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-10-17 10:22:47 UTC
Created attachment 155064 [details]
sample file

Steps to reproduce:
1. Open attached document

-> No text below the frame. See comparison image

Reproduced in

Version: 6.4.0.0.alpha1+
Build ID: 01d28b0b85f99590c0581e4bbf636bc9281e0571
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-10-17 10:23:12 UTC
Created attachment 155065 [details]
comparison MSO 2010 and LibreOffice 6.4 Master
Comment 2 Xisco Faulí 2019-10-17 10:24:43 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d07fc485d46f431405a3f6a002f951a08c559677

author	Patrick Jaap <patrick.jaap@tu-dresden.de>	2018-04-10 13:24:04 +0200
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2018-04-16 09:14:56 +0200
commit	d07fc485d46f431405a3f6a002f951a08c559677 (patch)
tree	8a71a1bd2260a1cc574ad7bec664023388d29ba2
parent	266e58d246e34cfcea3ccfb8dcb05fde93d04c77 (diff)
tdf#116486 Consider upper margin in paragraph positioning with flys

Bisected with: bibisect-linux64-6.1

Adding Cc: to Patrick Jaap
Comment 3 Patrick Jaap 2020-04-07 09:44:03 UTC
Hi, I can confirm that we introduced the regression.

I investigated it back then for a while but did not find any obvious cause.
Some further investigation is needed here. I'll keep it in mind.
Comment 4 Xisco Faulí 2020-06-16 07:51:52 UTC
Still reproducible in

Version: 7.1.0.0.alpha0+
Build ID: 11d21b3c1f7754b5d13ae9ea88da562ec74366ff
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 5 Commit Notification 2020-08-11 13:03:14 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/99ef50f97b6d8461b8953c2555298c7bbeb3405b

tdf#128198 sw: text formatting: only consider upper margin for first line

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Stahl (CIB) 2020-08-11 13:11:11 UTC
fixed on master
Comment 7 Patrick Jaap 2020-08-11 14:39:01 UTC
I can confirm it is fixed in master. Thanks!
Comment 8 Patrick Jaap 2020-08-11 14:39:30 UTC Comment hidden (obsolete)
Comment 9 Commit Notification 2020-08-11 15:38:13 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/81082204ca500c40c5f2e7d615422747c973a6ac

tdf#128198 sw: text formatting: only consider upper margin for first line

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-08-11 15:39:29 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/a99de4981f2e0a652d964c8c688f73485494102e

tdf#128198 sw: text formatting: only consider upper margin for first line

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.